XpEndJob(3Xp)

NAME
XpEndJob - Indicates the ending of a single print job.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

void XpEndJob ( display )
      Display *display;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

DESCRIPTION

XpEndJob signals the end of a print job. Any accumulated print data that remains is either sent to the printer or made available to XpGetDocumentData.

For clients selecting XPPrintMask (see XpSelectInput), the event XPPrintNotify will be generated with its detail field set to XPEndJobNotify when the X Print Server has completed the request.

DIAGNOSTICS

XPBadContext
    A valid print context-id has not been set prior to making this call.

XPBadSequence
    The function was not called in the proper order with respect to the other X Print Service Extension calls. (Example, XpEndDoc prior to XpStartDoc).

SEE ALSO
XpGetDocumentData(3Xp), XpSelectInput(3Xp), XpStartJob(3Xp)